summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
authorNorbert Preining <preining@logic.at>2017-07-15 13:01:41 +0000
committerNorbert Preining <preining@logic.at>2017-07-15 13:01:41 +0000
commit306c16e5310783d3c66c1e133f119d631770fbf7 (patch)
tree8ff246538e7e48e272e16bc9ff1b441a0f27ef20 /Master/tlpkg/bin/ctan2tl
parentca1b7466e13fb589f710c2e0447ed9568b660be6 (diff)
more fixes and simplifications
git-svn-id: svn://tug.org/texlive/trunk@44810 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl24
1 files changed, 8 insertions, 16 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 0bc0e1ae42c..d14e079eec1 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -11,6 +11,11 @@ mydir=`cd \`dirname $0\` && pwd` # Master/tlpkg/bin
libexec=`cd $mydir/../libexec && pwd` # Master/tlpkg/libexec
PATH=$mydir:$libexec:$PATH # we call lots of our other tools
+Build=`cd $mydir/../../../Build && pwd`
+raw=$Build/tmp.raw
+test -d $raw || mkdir $raw
+cd $raw || exit 1
+
if test "x$1" = x--help; then
echo "Usage: $0 [--place] [--no-ctan] TLPKGNAME"
echo
@@ -49,15 +54,11 @@ while true; do
;;
'--contrib')
do_contrib=true
- contrib_ctan2tds_arg=--contrib
- contrib_place_arg="--contrib=/home/norbert/Development/TeX/tlcontrib --mode=git"
- shift
- continue
- ;;
- '--buildplace')
shift
- Build=$1
+ contrib_place="$1"
shift
+ contrib_ctan2tds_arg=--contrib
+ contrib_place_arg="--contrib=$contrib_place --mode=git"
continue
;;
*)
@@ -66,15 +67,6 @@ while true; do
esac
done
-if [ "x$Build" = "x" ] ; then
- Build=`cd $mydir/../../../Build && pwd`
-fi
-
-raw=$Build/tmp.raw
-test -d $raw || mkdir $raw
-cd $raw || exit 1
-
-
pkg=$1
if test -z "$pkg"; then
echo "$0: no TL package name specified." >&2